flat out vec3 colSkylight;
flat out vec3 colSky;
flat out vec3 colHorizon;
flat out vec3 colTorchlight;

uniform vec3 skyColor;
uniform vec3 fogColor;

#define s_torchlightTemp 2200.0 //[1200.0 1400.0 1600.0 1800.0 2000.0 2200.0 2400.0 2600.0 2800.0 3000.0 3400.0 3600.0 4000.0 4400.0 4800.0 5200.0 5600.0 6000.0 6400.0]


void nature() {
    vec3 skyVanilla = pow(skyColor, vec3(2.2));
    vec3 fogVanilla = pow(fogColor, vec3(2.2));

    colSkylight = vec3(1.0, 0.45, 0.0);
    colSky      = skyVanilla;
    colHorizon  = fogVanilla;

    #ifdef isLightingPass
        colTorchlight   = blackbody(s_torchlightTemp);
    #endif
}